#################################################
#
#  (C) 2013 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libkaddrbk_gmx_xxport (kpart) #############

tde_add_kpart( libkaddrbk_gmx_xxport AUTOMOC
  SOURCES gmx_xxport.cpp
  LINK tdeui-shared kabinterfaces-shared tdeabc-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES gmx_xxportui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kaddressbook
)

tde_create_translated_desktop(
  SOURCE gmx_xxport.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kaddressbook
  PO_DIR kaddressbook-plugins-desktops
)
